Subject: Re: [PATCH] Documentation: Fix references to deprecated commands

From: Jonas Fonseca <[email-masked]>
Date: Mon, 12 Nov 2007 10:37:19 +0100

Junio C Hamano <[email-masked]> wrote Mon, Nov 12, 2007:
> Jonas Fonseca <[email-masked]> writes:
> 
> > diff --git a/Documentation/git-get-tar-commit-id.txt b/Documentation/git-get-tar-commit-id.txt
> > index 9b5f86f..ef1b19c 100644
> > --- a/Documentation/git-get-tar-commit-id.txt
> > +++ b/Documentation/git-get-tar-commit-id.txt
> > @@ -14,12 +14,12 @@ SYNOPSIS
> >  DESCRIPTION
> >  -----------
> >  Acts as a filter, extracting the commit ID stored in archives created by
> > -git-tar-tree.  It reads only the first 1024 bytes of input, thus its
> > +gitlink:git-archive[1].  It reads only the first 1024 bytes of input, thus its
> >  runtime is not influenced by the size of <tarfile> very much.
> >  
> >  If no commit ID is found, git-get-tar-commit-id quietly exists with a
> >  return code of 1.  This can happen if <tarfile> had not been created
> > -using git-tar-tree or if the first parameter of git-tar-tree had been
> > +using git-archive or if the <treeish> parameter of git-archive had been
> >  a tree ID instead of a commit ID or tag.
> >
> > -- 
> > Jonas Fonseca
> 
> How did you prepare this hunk?  I count 10 lines preimage and
> postimage, followed by a blank line and the signature separator
> "-- " you added in your MUA, but the header claims to have 12
> lines.

I am sorry to cause you this kind of problems. Usually I keep the patch
ending inserted by format-patch, but yesterday I deleted it for some
unknown reason. Maybe I should learn to use git-send-email. 

-- 
Jonas Fonseca